.modal_tag_editor_content{
    /* background-color: #fefefe; */
    background-color: rgb(245, 243, 243);
    margin: 5% auto;
    padding: 10px;
    border: 1px solid #888;
    width: 90%;
    height: 90%;

    display: flex;
    flex-direction: column;
}

#modal_tag_editor_container {
    flex: 1;
    min-height: 0;
}

#tag_description {
    resize: none;
}

.tag_checkbox{
    width: 20px;
    height: 20px;
}

.form_checkbox {
    margin-bottom: 40px;
}

.form_checkbox label {
    display: flex;
    align-items: center;
    gap: 8px;
}

.modal_body {
    display: grid;
    grid-template-rows: auto 1fr;
    grid-template-columns: 40% 60%;
    height: 80vh;

    grid-template-areas:
        "header header"
        "left   right";
}

.modal_header {
    grid-area: header;
    background: #ddd;
    padding: 10px;
    margin-bottom: 40px;
    background-color: rgb(255, 255, 255);
    border-radius: 10px;
}

.modal_tag_collection {
    margin-top: 40px;
}

.tag_new{
    float: left;
    /* width: 30%; */
}

.tag_new button {
    padding: 20px 40px;
    font-weight: bold;
}

.tag_list{
    float: right;
    width: 90%;
}

.tag_item{
    border: solid black 1px;
    padding: 5px 10px 5px 10px;
    margin: 0 0 20px 20px;
    float: right;
    min-width: 100px;
    text-align: center;
    border-radius: 5px;
}

.modal_form {
    grid-area: left;
    background-color: rgb(255, 255, 255);
    padding: 20px;
    overflow: auto;
    border-radius: 10px;
    margin-right: 40px;
}

.modal_form_title {
    margin-bottom: 40px;
}

.modal_table {
    grid-area: right;
    background: #fff;
    padding: 10px;

    overflow: auto;
    min-height: 0;

    border-radius: 10px;
}

.table_tag {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
}

.table_tag th,
.table_tag td {
    /* border: 1px solid #ccc; */
    padding: 8px;
}

.table_tag thead {
    position: sticky;
    top: 0;
    background: #eee;
    padding: 10px 0 10px 0;
}

.table_tag thead th {
    padding: 16px 8px;
}

.table_tag thead th:nth-child(2) { width: 60%; }
.table_tag thead th:nth-child(3) { width: 40%; }

.modal_table_header{
    margin: 10px 0 20px 13px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.modal_table table{
    /* margin-left: 10px; */
    border-collapse: collapse;
}

.modal_table table tr td{
    vertical-align: middle;
}

.modal_table table tr:nth-child(even) {
    background-color: #f6f6f6;
}

.modal_table table tr:hover {
    background-color: #dceeff;
}

.input-error {
    border: 2px solid red;
    background-color: #ffe6e6;
}

.save_status {
    /* font-size: 12px; */
    color: #666;
    font-weight: bold;
    margin-bottom: 20px;
}